export declare const registerSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "username" | "password" | "isAdmin">, "strip", import("zod").ZodTypeAny, {
    username: string;
    password: string;
    isAdmin: boolean;
}, {
    username: string;
    password: string;
    isAdmin?: boolean | undefined;
}>;
declare const RegisterDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "username" | "password" | "isAdmin">, "strip", import("zod").ZodTypeAny, {
    username: string;
    password: string;
    isAdmin: boolean;
}, {
    username: string;
    password: string;
    isAdmin?: boolean | undefined;
}>>;
export declare class RegisterDto extends RegisterDto_base {
}
export declare const registerResponseSchema: import("zod").ZodObject<Omit<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "username" | "password" | "isAdmin">, "password">, "strip", import("zod").ZodTypeAny, {
    username: string;
    isAdmin: boolean;
}, {
    username: string;
    isAdmin?: boolean | undefined;
}>;
declare const RegisterResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<Omit<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "username" | "password" | "isAdmin">, "password">, "strip", import("zod").ZodTypeAny, {
    username: string;
    isAdmin: boolean;
}, {
    username: string;
    isAdmin?: boolean | undefined;
}>>;
export declare class RegisterResponseDto extends RegisterResponseDto_base {
}
export {};
